Skip to content

Account⁠

Perform various operations on account records.

Operations⁠

getAccountSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getAccountSelectFields
POST /nexum/627/persistent/account/getAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "SelectableFields": {
    "AccountFields": {
      "Number": true,
      "Type": true,
      "OpenDate": true,
      "Branch": true
    }
  }
}

getAccountSelectFieldsFilterChildren⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getAccountSelectFieldsFilterChildren
POST /nexum/627/persistent/account/getAccountSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "SelectableFields": {
    "AccountFields": {
      "Number": true,
      "Type": true,
      "OpenDate": true,
      "Branch": true
    },
    "ShareSelectableFields": {
      "ShareFields": {
        "Id": true,
        "Type": true,
        "Description": true,
        "Balance": true,
        "AvailableBalance": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "ShareFilter": {
      "Query": "type=1"
    }
  }
}

updateAccountByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateAccountByID
POST /nexum/627/persistent/account/updateAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "AccountFields": {
    "Reference": "string",
    "UserChar1": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createAccount⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
AccountNumberstringoptional
POST/nexum/{sym}/persistent/account/createAccount
POST /nexum/627/persistent/account/createAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountFields": {
    "Type": 0,
    "Branch": 0,
    "OpenDate": "2026-01-01"
  },
  "NameFields": {
    "First": "string",
    "Last": "string",
    "Ssn": "0",
    "Type": 0,
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "PreferenceFields": {
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}